Bug 274352 - Empty space left behind when icons are hidden
Summary: Empty space left behind when icons are hidden
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-systemtray (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 13:58 UTC by Antonio Rojas
Modified: 2011-09-07 19:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
systray before icon hiding (22.01 KB, image/png)
2011-05-28 13:59 UTC, Antonio Rojas
Details
systray after icon hiding (20.88 KB, image/png)
2011-05-28 14:00 UTC, Antonio Rojas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2011-05-28 13:58:27 UTC
Version:           unspecified (using Devel) 
OS:                Linux

Using 4.7 beta 1
When an icon is hidden, its space in the systray is not freed, leaving empty space. It doesn't happen when an icon is removed, only when it's hidden.

Reproducible: Always
Comment 1 Antonio Rojas 2011-05-28 13:59:07 UTC
Created attachment 60407 [details]
systray before icon hiding
Comment 2 Antonio Rojas 2011-05-28 14:00:03 UTC
Created attachment 60408 [details]
systray after icon hiding

Notice the extra empty space, and the "i" icon overlapping the separator.
Comment 3 Marco Martin 2011-05-30 13:37:03 UTC
Git commit 8b447939cd81d74039d8768ca7ea82e8159edfa2 by Marco Martin.
Committed on 30/05/2011 at 13:33.
Pushed by mart into branch 'master'.

delay the preferred size update

with a queue connection, it updates the preferred size at the loop after
removing an entry from the tray.
in this way, the proper updated size gets used
BUG:274352

M  +1    -1    plasma/generic/applets/systemtray/ui/applet.cpp     

http://commits.kde.org/kde-workspace/8b447939cd81d74039d8768ca7ea82e8159edfa2
Comment 4 Antonio Rojas 2011-06-27 06:05:36 UTC
Still valid in 4.7 RC1
Comment 5 Antonio Rojas 2011-09-07 19:23:23 UTC
Seems fixed in 4.7.1